using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IStreamLogic
    {
        bool Create(StreamBindingModel model);
        bool Update(StreamBindingModel model);
        bool Delete(StreamBindingModel model);
        List<StreamViewModel>? ReadList(StreamSearchModel? model);
        StreamViewModel? ReadElement(StreamSearchModel model);
    }
}
